local lampitem = util.table.deepcopy(data.raw["item"]["small-lamp"])
lampitem.name = "m-pixellamp"
lampitem.place_result = "m-pixellamp"
lampitem.order = "c[light]-aa[m-pixellamp]"
data:extend{lampitem}

data:extend(
{
  {
    type = "recipe",
    name = "m-pixellamp",
    enabled = true,
    energy_required = 0.1,
    ingredients =
    {
     
    },
    result = "m-pixellamp"
  },
}
)

data:extend(
{ 

  {
    type = "lamp",
    name = "m-pixellamp",
    icon = "__base__/graphics/icons/small-lamp.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.1, mining_time = 0.1, result = "m-pixellamp"},
    max_health = 100,
    corpse = "small-remnants",
    collision_mask = {"ghost-layer"},
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0 },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    resistances =
    {
      {
        type = "fire",
        percent = 100
      },
      {
        type = "physical",
        percent = 100
      },
      {
        type = "impact",
        percent = 100
      },
      {
        type = "explosion",
        percent = 100
      },
      {
        type = "acid",
        percent = 100
      }
    },
    energy_usage_per_tick = "0KW",
    light = {intensity = 0.99, size = 5},
    picture_off =
    {
      filename = "__base__/graphics/entity/small-lamp/light-off.png",
      priority = "high",
      width = 67,
      height = 58,
      frame_count = 1,
      axially_symmetrical = false,
      direction_count = 1,
      shift = {-0.021875, 0.16875},
    },
    picture_on =
    {
      filename = "__base__/graphics/entity/small-lamp/light-on-patch.png",
      priority = "high",
      width = 62,
      height = 62,
      frame_count = 1,
      axially_symmetrical = false,
      direction_count = 1,
      shift = {-0.0375, -0.01875},
    },
  },
}
)
